function [spec_w,w] = specFFT(spec_t,time)

spec_t=squeeze(spec_t);
dim1=false;
dim3=false;
if size(spec_t,2)==1
    spec_t=spec_t';
    dim1=true;
else
    if numel(size(spec_t))==3
        spec_t=reshape(spec_t,[],size(spec_t,3));
        dim3=true;
    end
end

wn = 2*pi*3e-2;

dw = 2*pi/( time.dt*2*time.tstep )/wn;
w = dw*( -(time.tstep-1) : (time.tstep-1) - 1 );

spec_w = zeros(size(spec_t,1), length(w));
for m = 1:size(spec_t,1)
    spec_tmp  = squeeze(spec_t(m,:));
    spec_inverse = fliplr(spec_tmp(2:end-1));
    spec_fft = real( fft([spec_tmp, conj(spec_inverse)]) );
    spec_w(m,:) = fftshift(spec_fft)*time.dt;
    
    spec_w(m,:) = spec_w(m,end:-1:1);
end
if dim1
%     spec_w = permute(spec_w,[1 3 2]);
end
if dim3
    spec_w = reshape(spec_w,[sqrt(m) sqrt(m) length(w)]);
end